unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, Data.DB,
  XData.Web.JsonDataset, XData.Web.Dataset, WEBLib.DB, Vcl.Controls,
  DataUnit;

type
  TForm1 = class(TWebForm)
    JsonMemo: TWebMemo;
    WebButton1: TWebButton;
    Edit_Sprache: TWebEdit;
    WebLabel1: TWebLabel;
    WebButton2: TWebButton;
    procedure WebButton1Click(Sender: TObject);
    procedure WebButton2Click(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure JSON_DataSet(DataSet: TXDataWebDataSet; Response_Text: string);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.JSON_DataSet(DataSet: TXDataWebDataSet; Response_Text: string);
var   JSAry: TJSArray;
begin
   JSAry := TJSArray(TJSJson.Parse(Response_Text));
   DataSet.Close;
   DataSet.SetJsonData(JSAry);
   DataSet.Open;

end;

procedure TForm1.WebButton1Click(Sender: TObject);
var   Response_Text: string;
begin
   Response_Text:=JsonMemo.Lines.Text;
   JSON_DataSet(MySQL.xWDS_Sprache, Response_Text);
end;

procedure TForm1.WebButton2Click(Sender: TObject);
begin
   Edit_Sprache.Text:= MySQL.xWDS_Sprachesprache_text.AsString;
end;

end.